Runtime

## org.eclipse.gmf.runtime.diagram.ui.resources.editor.ide.document
Class FileDiagramDocumentProvider.DiagramFileInfo

    java.lang.Object
      org.eclipse.gmf.runtime.diagram.ui.resources.editor.document.AbstractDocumentProvider.ElementInfo
          org.eclipse.gmf.runtime.diagram.ui.resources.editor.ide.document.StorageDocumentProvider.StorageInfo
              org.eclipse.gmf.runtime.diagram.ui.resources.editor.ide.document.FileDocumentProvider.FileInfo
                  org.eclipse.gmf.runtime.diagram.ui.resources.editor.ide.document.FileDiagramDocumentProvider.DiagramFileInfo

All Implemented Interfaces:
  IDocumentListener

Enclosing class:
  FileDiagramDocumentProvider

public class FileDiagramDocumentProvider.DiagramFileInfo
extends FileDocumentProvider.FileInfo

Field Summary

Fields inherited from class org.eclipse.gmf.runtime.diagram.ui.resources.editor.ide.document.FileDocumentProvider.FileInfo
`fFileSynchronizer, fModificationStamp`

Fields inherited from class org.eclipse.gmf.runtime.diagram.ui.resources.editor.ide.document.StorageDocumentProvider.StorageInfo
`fIsModifiable, fIsReadOnly, fUpdateCache`

Fields inherited from class org.eclipse.gmf.runtime.diagram.ui.resources.editor.document.AbstractDocumentProvider.ElementInfo
`fCanBeSaved, fCount, fDocument, fElement, fIsStateValidated, fStatus`

Constructor Summary
`FileDiagramDocumentProvider.DiagramFileInfo(IDocument document, FileDocumentProvider.FileSynchronizer fileSynchronizer, DiagramModificationListener listener)` Creates and returns a new file info.

Method Summary
`void` `documentAboutToBeChanged(DocumentEvent event)` The manipulation described by the document event will be performed.

Methods inherited from class org.eclipse.gmf.runtime.diagram.ui.resources.editor.document.AbstractDocumentProvider.ElementInfo
`documentChanged, equals, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FileDiagramDocumentProvider.DiagramFileInfo

    public FileDiagramDocumentProvider.DiagramFileInfo(IDocument document,
                                                       FileDocumentProvider.FileSynchronizer fileSynchronizer,
                                                       DiagramModificationListener listener)

  Creates and returns a new file info.

Parameters:
  `document` - the document
  `fileSynchronizer` - the file synchronizer

Method Detail

### documentAboutToBeChanged

    public void documentAboutToBeChanged(DocumentEvent event)

  Description copied from interface: `IDocumentListener`
  The manipulation described by the document event will be performed.

  Specified by:
    `documentAboutToBeChanged` in interface `IDocumentListener`
  Overrides:
    `documentAboutToBeChanged` in class `AbstractDocumentProvider.ElementInfo`
  See Also:
    `IDocumentListener.documentAboutToBeChanged(DocumentEvent)`

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.